Debug messages
CANopen_301 » Driver » Stack configuration

Messages from different parts of the stack. More...

## Macros

#define | CO_CONFIG_DEBUG (0)
| Configuration of debug messages from different parts of the stack, which can be logged according to target specific function. More...

## Detailed Description

Messages from different parts of the stack.

## Macro Definition Documentation

## CO_CONFIG_DEBUG

#define CO_CONFIG_DEBUG (0)

Configuration of debug messages from different parts of the stack, which can be logged according to target specific function.

Possible flags, can be ORed:

- CO_CONFIG_DEBUG_COMMON - Define default CO_DEBUG_COMMON(msg) macro. This macro is target specific. This macro is then used as default macro in all other defined CO_DEBUG_XXX(msg) macros.
- CO_CONFIG_DEBUG_SDO_CLIENT - Define default CO_DEBUG_SDO_CLIENT(msg) macro.
- CO_CONFIG_DEBUG_SDO_SERVER - Define default CO_DEBUG_SDO_SERVER(msg) macro.